package com.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 房源周边
 * </p>
 *
 * @author yansen
 * @since 2020-12-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaHouseSurround对象", description="房源周边")
public class TaHouseSurround implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "周边ID")
    @TableId(value = "surround_id", type = IdType.INPUT)
    private String surroundId;

    @ApiModelProperty(value = "关联房源")
    private String houseId;

    @ApiModelProperty(value = "关联图片素材")
    private String imageId;

    @ApiModelProperty(value = "排序")
    private Integer sortNo;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
