package com.shigongli.service.impl;

import com.shigongli.entity.TaPerson;
import com.shigongli.mapper.TaPersonMapper;
import com.shigongli.service.ITaPersonService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 人员表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-12-11
 */
@Service
public class TaPersonServiceImpl extends ServiceImpl<TaPersonMapper, TaPerson> implements ITaPersonService {

    @Autowired
    TaPersonMapper taPersonMapper;

    @Override
    public TaPerson getByOpenId(String openid) {
        return taPersonMapper.getByOpenId(openid);
    }
}
